<!DOCTYPE html>
<html lang="es">
    <head>
        <title>Pecas: herramientas editoriales</title>
        <meta charset="utf-8" />
        <meta name="application-name" content="Pecas">
        <meta name="description" content="Conjunto de scripts que agilizan varios de los procesos del quehacer editorial. ">
        <meta name="keywords" content="nika,zhenya,pecas,epub,ebook,publishing,libros,pandoc,ghostscript,tesseract,latex,context,jats,pdf-document,pdf-generation,tex,automation,markdown,html,xhtml,mobi">
        <link type="text/css" rel="stylesheet" href="../css/styles.css">
        <!-- 
        <link rel="shortcut icon" href="favicon.ico">
         -->
    </head>
    <body>
        <header>
            <h1><a href="../index.html">Pecas</a></h1>
            <p>Conjunto de <i>scripts</i> que agilizan varios de los procesos del quehacer editorial.</p>
            <nav>
                <h3>Generales</h3>
                <p><a href="flujo_general.html">Flujo de trabajo general</a></p>
                <p><a href="flujo_digitization.html">Flujo de trabajo para la digitalización</a></p>
                <p><a href="flujo_epub.html">Flujo de trabajo para <span class="versalita">EPUB</span></a></p>
                <p><a href="problemas.html">Solución de problemas / <span class="versalita">FAQ</span></a></p>
                <h3>Documentación</h3>
                <p><a href="herramientas.html">Herramientas</a></p>
                <p><a href="md.html">Markdown</a></p>
                <p><a href="css.html"><span class="versalita">CSS</span></a></p>
                <p><a href="yaml.html"><span class="versalita">YAML</span></a></p>
                <p><a href="js.html">JavaScript</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Código</h3>
                <p><a href="https://gitlab.com/prolibreros/herramientas/pecas-legacy" target="_blank">GitLab</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Contacto</h3>
                <p><a href="mailto:hi@perrotuerto.blog">hi@perrotuerto.blog</a></p>
            </nav>
        </header>
        <section>
            <h1 id="uso-de-pcnotes">Uso de <code>pc-notes</code></h1>
            <p>Notes agrega de manera automatizada las notas al pie a archivos con sintaxis tipo <span class="smallcap">HTML</span> o documentos TeX.</p>
            <h2 id="uso">Uso:</h2>
            <pre class="">
                <code class="code-line-1">pc-notes -n [archivo con las notas]</code>
            </pre>
            <h2 id="parametro-necesario">Parámetro necesario:</h2>
            <ul>
                <li>
                    <p><code>-n</code> = [file] Archivo con las notas en formato MD.</p>
                </li>
            </ul>
            <h2 id="parametros-opcionales">Parámetros opcionales:</h2>
            <ul>
                <li>
                    <p><code>-d</code> = [directory] Directorio donde se encuentran los archivos para añadir las notas.</p>
                </li>
                <li>
                    <p><code>-s</code> = [style sheet] <span class="smallcap">SOLO</span> <span class="smallcap">HTML</span>, Ruta al archivo <span class="smallcap">CSS</span> que se desea incluir.</p>
                </li>
                <li>
                    <p><code>&#45;&#45;reset</code> =  Resetea el contador cada vez que se modifica un archivo.</p>
                </li>
                <li>
                    <p><code>&#45;&#45;inner</code> = <span class="smallcap">SOLO</span> <span class="smallcap">HTML</span>, incluye las notas al pie al final del archivo.</p>
                </li>
            </ul>
            <h2 id="parametros-unicos">Parámetros únicos:</h2>
            <ul>
                <li>
                    <p><code>-v</code> = [version] Muestra la versión.</p>
                </li>
                <li>
                    <p><code>-h</code> = [help] Muestra esta ayuda.</p>
                </li>
            </ul>
            <h2 id="ejemplo-sencillo">Ejemplo sencillo:</h2>
            <pre class="">
                <code class="code-line-1">pc-recreator -n directorio/a/notas.md</code>
            </pre>
            <p>Añade las notas presentes en <code>notas.md</code> a los archivos que se encuentren en el directorio actual.</p>
            <h2 id="ejemplo-con-un-directorio-especifico">Ejemplo con un directorio específico:</h2>
            <pre class="">
                <code class="code-line-1">pc-recreator -n directorio/a/notas.md -d directorio/html/o/tex</code>
            </pre>
            <p>Añade las notas presentes en <code>notas.md</code> a los archivos que se encuentren en <code>directorio/html/o/tex</code>.</p>
            <h2 id="ejemplo-con-un-directorio-especifico-y-con-una-hoja-de-estilo">Ejemplo con un directorio específico y con una hoja de estilo:</h2>
            <pre class="">
                <code class="code-line-1">pc-recreator -n directorio/a/notas.md -d directorio/html -s ruta/al/archivo.css</code>
            </pre>
            <p>Igual que el ejemplo anterior pero se añade una hoja de estilo; ojo: se ignora si hay <code>&#45;&#45;inner</code>.</p>
            <h2 id="ejemplo-con-un-directorio-especifico-y-reseteo-de-la-numeracion">Ejemplo con un directorio específico y reseteo de la numeración:</h2>
            <pre class="">
                <code class="code-line-1">pc-recreator -n directorio/a/notas.md -d directorio/html/o/tex --reset</code>
            </pre>
            <p>Añade las notas presentes en <code>notas.md</code> a los archivos que se encuentren en <code>directorio/html/o/tex</code> y el contador inicia en 1 en cada archivo.</p>
            <h2 id="ejemplo-con-un-directorio-especifico-reseteo-de-la-numeracion-e-incrustado-en-los-archivos">Ejemplo con un directorio específico, reseteo de la numeración e incrustado en los archivos:</h2>
            <pre class="">
                <code class="code-line-1">pc-recreator -n directorio/a/notas.md -d directorio/html --reset --inner</code>
            </pre>
            <p>Igual que el ejemplo anterior pero el contenido de las notas se añaden al final de cada archivo.</p>
        </section>
        <footer>
            <nav class="espacio-arriba1">
                <h3>Código</h3>
                <p><a href="https://gitlab.com/prolibreros/herramientas/pecas-legacy" target="_blank">GitLab</a></p>
            </nav>
            <nav class="espacio-arriba1">
                <h3>Contacto</h3>
                <p><a href="mailto:hi@perrotuerto.blog">hi@perrotuerto.blog</a></p>
            </nav>
            <p class="centrado espacio-arriba1">Pecas es <i>software</i> libre bajo licencia <a href="https://gnu.org/licenses/gpl.html" target="_blank">GPLv3+</a>.</p>
        </footer>
        <style>
        body {margin:0;}
        body > * {float:left;}
        body > section {width:calc(75% - 10em);margin:5em;}
        header {width:calc(25% - 5em);margin-top: 5em;padding:2.5em;background-color:black;color:white;border-radius:0 .5em .5em 0;}
        header h1 {margin:0; font-size: 2em;}
        header h1 + p {margin-top:1em!important;}
        header h3 {margin-top:1em;}
        header a {color: white;}
        header p, footer nav {text-align:left;}
        header p + p, footer p + p {text-indent:0;}
        header nav > p:before {content:"> ";}
        h2:before {content: "> ";}
        div.example h2:before {content: none;}
        div.example:after {display:block;width:100%;content:"Estilo por defecto";margin-top:-1.5em;text-align:center;font-size:.75em;}
        div.example > div {clear:both;}
        div.example > div:last-child {width:94.5%;margin:2em auto;padding:.5em;box-shadow: .1em .1em .5em rgba(0,0,0,.45);}
        div.example > div > div {float:left;width:50%;}
        div.example > div > div:before {display:block;width:100%;margin-bottom:-1em;text-align:center;font-size:.75em;}
        div.example > div > div:first-child:before {content:"Escritura en Markdown";}
        div.example > div > div:last-child:before {content:"Resultado en HTML";}
        div.example + div.example {border-top: 1px dashed black;margin-top:1.5em;padding-top:1.5em;}
        footer {border-top: 1px dashed black; width:calc(100% - 2em); margin: 1em;}
        footer > nav {display:none;}
        footer nav > * {display:inline;}
        footer nav > p:before {content:"> ";}
        footer nav > p:not(:first-of-type):before {content:"| ";}
        @media screen and (max-width: 768px) {
        body > * {float:none;}
        body > section {width:calc(100% - 5em);margin:2.5em;}
        header {width:calc(100% - 5em);margin-top:0;border-radius:0;}
        header > p:first-of-type {display:inline;}
        header > nav:not(:first-of-type) {display:none;}
        header nav > * {display:inline;}
        header nav > p:before {content:"| ";}
        header h3 + p:before {content: none;}
        header h3:before {content:"\a\a";white-space: pre;}
        header h3:first-of-type:before {content:"\a";}
        header h3:after {content: " > ";}
        div.example > div, div.example > div > div {float:none;width:100%;}
        footer {word-wrap: break-word;}
        footer > nav {display:block;text-align:center;}
        }
        </style>
    </body>
</html>
